Несколько уязвимостей в activeWeb contentserver

Дата публикации:
16.07.2007
Всего просмотров:
926
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3013
CVE-2007-3014
CVE-2007-3018
CVE-2007-3017
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
activeWeb contentserver 5.x
Уязвимые версии: activeWeb contentserver версии до 5.6.2964.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды в базе данных приложения и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за ошибки применения прав доступа в интерфейсе управления, которая позволяет редактору создавать и редактировать запрещенные документы.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "msg" в сценариях rights.asp и transaction.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в имени новых MIME типов. Злоумышленник может при просмотре MIME типа выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" сценария admin/picture/picture_real_edit.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

5. Уязвимость существует в редакторе страниц, которая позволяет злонамеренному пользователю обойти фильтрацию и внедрить произвольный код сценария в с помощью POST запросов.

Для удачной эксплуатации уязвимостей #1, #3, #4 и #5 требуются привилегии редактора в приложении.

URL производителя: www.active-web.de/aw/home/Produkte/~gf/contentserver/

Решение: Установите последнюю версию 5.6.2964 с сайта производителя.

или введите имя

CAPTCHA